ICAggregatorRemoveCallback
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.state

## Class ICAggregatorRemoveCallback

- java.lang.Object
- - org.gcube.informationsystem.collector.impl.state.ICAggregatorRemoveCallback

- All Implemented Interfaces:
    org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryRemovedCallback

      public class ICAggregatorRemoveCallback
      extends java.lang.Object
      implements org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryRemovedCallback

  Whenever a AggregatorServiceGroupEntryResource is removed from an AggregatorServiceGroupEntryHome, the corresponding remove method of this class will be invoked passing as a parameter the instance of the resource that is about to be removed.
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICAggregatorRemoveCallback()` Creates a new Callback object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `remove(org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryResource entry)` Removes from the storage the supplied resource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICAggregatorRemoveCallback

          public ICAggregatorRemoveCallback()

      Creates a new Callback object

  - ### Method Detail

    - #### remove

          public void remove(org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryResource entry)
                      throws java.lang.Exception

      Removes from the storage the supplied resource
      Specified by:
        `remove` in interface `org.globus.mds.aggregator.impl.AggregatorServiceGroupEntryRemovedCallback`
      Parameters:
        `entry` - the AggregatorServiceGroupEntryResource that is about to be removed
      Throws:
        `java.lang.Exception` - if the delete operation fails